.header {
    position: fixed;
    left: 0;
    top: 0;
    height: 100vh;
    width: 280px;
    background: var(--bs-orange);
    color: #fff;
    overflow-y: auto;
    scrollbar-color: rgba(0,0,0,0.2) var(--bs-orange);
    scrollbar-width: thin;
    background: linear-gradient(-45deg, var(--bs-orange), #f9680eff, #f2784bff, #e73c7eff);
	background-size: 400% 400%;
	-webkit-animation: gradient 5s ease infinite;
    animation: gradient 5s ease infinite;
    transition: all ease 300ms;
}

#bg-header {
    background-image: url('/images/bg.jpg');
    background-repeat: no-repeat;
    height: 100vh;
    width: 100%;
    opacity: .15;
    position: absolute;
    overflow: hidden;
}

#header.show {
    height: 100%;
}

#header.show .blog-name {
    float: none;
    position: absolute;
    left: 100px;
}

#navigation {
    height: 90vh;
}

#header.show #navigation .navbar-nav {
    padding: 0 1rem;
}

.header::-webkit-scrollbar {
    width: 6px;
    background-color:  var(--bs-orange);
}

.header::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,0.2);
    border-radius: 0.5rem;
}

.header .blog-name {
    font-size: 1.5rem;
    font-weight: normal;
}

.profile-section .bio {
    font-size: 0.875rem;
}

header .profile-image {
    clip-path: polygon(50% 0%, 83% 12%, 100% 45%, 84% 75%, 99% 100%, 36% 100%, 10% 70%, 0% 43%, 17% 12%);
}

.purple-mode-toggle {
    position: absolute;
    bottom: 0;
}

.purple-mode-toggle .toggle+.toggle-btn {
    outline: 0;
    display: block;
    width: 70px;
    height: 30px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 2px;
    transition: all 0.2s ease-in-out;
    border: 3px solid rgba(255,255,255,0.4);
    border-radius: 16px;
}

.purple-mode-toggle .toggle {
    display: none;
}

.purple-mode-toggle .toggle+.toggle-btn:after {
    left: 0;
    transition: all 0.2s ease-in-out;
    background: rgba(255,255,255,0.4);
    content: "";
    border-radius: 16px;
}

.purple-mode-toggle .toggle + .toggle-btn:after {
    position: relative;
    display: block;
    content: "";
    width: 50%;
    height: 100%;
}

.purple-mode-toggle .toggle:checked+.toggle-btn:after {
    left: 50%;
    background: rgba(255,255,255,0.9);
    background: var(--purple);
}

li.nav-item i.fa {
    width: 16px;
}

.navbar-dark .navbar-nav .active>.nav-link, 
.navbar-dark .navbar-nav .nav-link.active, 
.navbar-dark .navbar-nav .nav-link.show, 
.navbar-dark .navbar-nav .show>.nav-link {
    color: #fff;
    font-weight: bold;
}

@media (max-width: 990px) {
    .header {
        height: 60px;
        width: 100%;
        z-index: 1000;
    }

    .header .blog-name {
        display: none;
        float: right;
        margin-top: 0.75rem;
        margin-right: 1rem;
    }

    .scrolled .header .blog-name {
        display: block;
    }
}

@-webkit-keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}